Microsoft's Internet Explorer 9 is supported with:
  • The Financial Edge, The Education Edge, and Blackbaud Student Information Systems - version 7.82.104, patch 20 and higher
  • The Raiser's Edge - version 7.91.5056, patch 21 and higher
  • Blackbaud CRM - see system requirements
  • Team Approach 5.0.16 and higher, as well as 6.1.4 and higher (some modifications may be required. 
Review the system requirements for the most up-to-date compatibility information.